/***************************************************************************
                          menubar.cpp  -  description
                             -------------------
    begin                : Sun Jul 16 2000
    copyright            : (C) 2000 by Joris Struyve
    email                : j.struyve@pandora.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/* CVS information :
 *
 * $Id: menubar.cpp,v 1.9 2001/02/27 22:10:23 js Exp $
 *
 */

#include "k8ktest.h"

MenuBar::MenuBar( QWidget *parent,char *name )
        : QMenuBar( parent, name)
{
	
	file = new QPopupMenu(this);
		file->insertItem( "&Quit", qApp, SLOT(quit()), CTRL+Key_Q );
	
	view = new QPopupMenu(this);
		this->dbgwindow   = view->insertItem( "&Debugwindow", parent, SLOT(ShowHideDebugDialog()) );
		this->dbggenerate = view->insertItem( "&Generate debug", parent, SLOT(SetUnsetDebug()) );
		view->setItemChecked(dbgwindow  ,FALSE);
		view->setItemChecked(dbggenerate,FALSE);
	
	options =new QPopupMenu(this);
		options->insertItem( "&Options...", parent, SLOT(ShowOptionDialog()) );
		options->insertItem( "&Save Settings", parent, SLOT(SaveSettings()) );
		options->insertItem( "&Reload Settings", parent, SLOT(RestoreSettings()) );
		options->insertItem( "&Font...", parent, SLOT(ShowFontDialog()) );

	help = new QPopupMenu(this);
		help->insertItem( "&About", parent, SLOT(ShowAbout()), CTRL+Key_A );
	
	this->insertItem( "&File", file );
	this->insertItem( "&View", view );
	this->insertItem( "&Options", options );
	this->insertItem( "&Help", help);
}

MenuBar::~MenuBar()
{}
