/***************************************************************************
                          scrolltext.cpp  -  description
                             -------------------
    begin                : Sun Jul 16 2000
    copyright            : (C) 2000 by Joris Struyve
    email                : j.struyve@pandora.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/* CVS information :
 *
 * $Id: scrolltext.cpp,v 1.6 2001/02/27 22:10:23 js Exp $
 *
 */

#include "k8ktest.h"

ScrollText::ScrollText(QWidget *parent,char *label)
		:QMultiLineEdit( parent, label)
{
	QColorGroup cg(this->colorGroup());
	this->setEnabled(FALSE);
	this->setPalette(QPalette(cg,cg,cg));
}

ScrollText::~ScrollText()
{}

void ScrollText::append(QString str)
{
	QMultiLineEdit::append(str);
	this->pageDown();
	this->cursorDown();
}
